org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

## Class KillTaskResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.KillTaskResponseProto>
  - - org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.KillTaskResponsePBImpl

- All Implemented Interfaces:
    KillTaskResponse

      public class KillTaskResponsePBImpl
      extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.KillTaskResponseProto>
      implements KillTaskResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KillTaskResponsePBImpl()`
    `KillTaskResponsePBImpl(MRServiceProtos.KillTaskResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRServiceProtos.KillTaskResponseProto` | `getProto()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

      `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KillTaskResponsePBImpl

          public KillTaskResponsePBImpl()

    - #### KillTaskResponsePBImpl

          public KillTaskResponsePBImpl(MRServiceProtos.KillTaskResponseProto proto)

  - ### Method Detail

    - #### getProto

          public MRServiceProtos.KillTaskResponseProto getProto()

      Specified by:
        `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<MRServiceProtos.KillTaskResponseProto>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.